import 'basico_model.dart';

class Usuario extends Basico {
  String? email;
  String? clave;
  String? name;
  String? estatus;
  String? telefono;
  String? empresa;
  String? rol;

  static const MEN_ADMN_VER = 'MEN-ADMN-VER';

  Usuario({
    super.id,
    this.email,
    this.clave,
    this.name,
    this.estatus,
    this.telefono,
    this.empresa,
    this.rol,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'email': email,
      'clave': clave,
      'name': name,
      'estatus': estatus,
      'telefono': telefono,
      'rol': rol,
    }..addAll(super.toJson());
  }

  Usuario.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    email = Basico.parseString(json['correo']);
    clave = Basico.parseString(json['clave']);
    name = Basico.parseString(json['nombre']);
    estatus = Basico.parseString(json['estatus']);
    telefono = Basico.parseString(json['telefono']);
    empresa = Basico.parseString(json['empresa']);
    rol = Basico.parseString(json['rol']);
  }
}
